--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Retrieves a session from the session store
- !ruby/struct:SM::Flow::P 
  body: "@param session_id&lt;String&gt; The session_id to retrieve the session for"
- !ruby/struct:SM::Flow::P 
  body: "@returns &lt;nil, DataMapperSessionStore&gt; The session corresponding to the id, or nil"
full_name: Merb::DataMapperSessionStore::retrieve_session
is_singleton: true
name: retrieve_session
params: (session_id)
visibility: public
